ros-noetic-moveit-commander (1.1.16-1focal) focal; urgency=high

  * Fix type error
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 06 Oct 2024 22:00:00 -0000

ros-noetic-moveit-commander (1.1.15-1focal) focal; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 08 Sep 2024 22:00:00 -0000

ros-noetic-moveit-commander (1.1.14-1focal) focal; urgency=high

  * Fixed order of return values in doc string of compute_cartesian_path() (#3574 <https://github.com/ros-planning/moveit/issues/3574>)
  * Augment Python PlanningSceneInterface API (#3534 <https://github.com/ros-planning/moveit/issues/3534>)
  * Add PlanningSceneInterface::clear() (#3512 <https://github.com/ros-planning/moveit/issues/3512>)
  * Contributors: Aaryan Murgunde, IrvingF7, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 26 May 2024 22:00:00 -0000

ros-noetic-moveit-commander (1.1.13-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-commander (1.1.12-1focal) focal; urgency=high

  * Rename argument of execute() to trajectory (#3392 <https://github.com/ros-planning/moveit/issues/3392>)
  * Disentangle joint name methods, add group_state (#3345 <https://github.com/ros-planning/moveit/issues/3345>)
  * Fix plan() and add corresponding unit tests (#3302 <https://github.com/ros-planning/moveit/issues/3302>)
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-commander (1.1.11-1focal) focal; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Allow to create cone collision-object from python PSI
      * rviz: Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
  * ``moveit_commander.PlanningSceneInterface``: use synchronous interface by default
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-commander (1.1.10-1focal) focal; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * Validate JointState argument to moveit_commander.set_joint_value_target (#3187 <https://github.com/ros-planning/moveit/issues/3187>)
  * Adjust python PSI to new CollisionObject.pose interface (#3176 <https://github.com/ros-planning/moveit/issues/3176>)
  * moveit_commander: make current joint state copy-paste-able (#3133 <https://github.com/ros-planning/moveit/issues/3133>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Filip Sund, Michael Görner, Stephanie Eng

 -- Michael Görner <me@v4hn.de>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-commander (1.1.9-1focal) focal; urgency=high

  * Fix move_group_commander.go(tuple(...)) (#3066 <https://github.com/ros-planning/moveit/issues/3066>)
  * Contributors: Hongzhuo Liang, Michael Görner

 -- Michael Görner <me@v4hn.de>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-commander (1.1.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-commander (1.1.7-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-commander (1.1.6-1focal) focal; urgency=high

  * Use relative imports (#2912 <https://github.com/ros-planning/moveit/issues/2912>)
  * Fix trajectory constraints (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * Fix ``get_planning_pipeline_id`` in Python MGI (#2753 <https://github.com/ros-planning/moveit/issues/2753>)
  * Contributors: Felix von Drigalski, Kevin Chang, Michael Görner, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-commander (1.1.5-1focal) focal; urgency=high

  * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-commander (1.1.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-commander (1.1.3-1focal) focal; urgency=high

  * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
  * Add clear() to Python PSI, allow empty call to remove_attached_object (#2609 <https://github.com/ros-planning/moveit/issues/2609>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-commander (1.1.2-1focal) focal; urgency=high

  * Fix formatting errors
  * Add utility functions to Python PSI: add/detach objects, apply_planning_scene() (#2532 <https://github.com/ros-planning/moveit/issues/2532>)
  * add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Add get_current_state_bounded(), get_current_state(), enforce_bounds() to MoveGroupCommander (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * Contributors: Felix von Drigalski, Peter Mitrano, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-commander (1.1.1-1focal) focal; urgency=high

  * [feature] MGC: Improve exception messages (#2318 <https://github.com/ros-planning/moveit/issues/2318>)
  * [fix] ROS namespacing in moveit_commander's PSI (#2347 <https://github.com/ros-planning/moveit/issues/2347>)
  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * Contributors: Michael Görner, Peter Mitrano, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-commander (1.1.0-1focal) focal; urgency=high

  * [feature] Add missing variants of place from list of PlaceLocations and Poses in the python interface (#2231 <https://github.com/ros-planning/moveit/issues/2231>)
  * [fix]     Add default velocity/acceleration scaling factors (#1890 <https://github.com/ros-planning/moveit/issues/1890>)
  * [fix]     Handle the updated plan() function of MoveGroupCommander (#1640 <https://github.com/ros-planning/moveit/issues/1640>)
  * [fix]     Fix failing tutorial <https://github.com/ros-planning/moveit_tutorials/issues/301> (#1459 <https://github.com/ros-planning/moveit/issues/1459>)
  * [maint]   Update dependencies for python3 in noetic (#2131 <https://github.com/ros-planning/moveit/issues/2131>)
  * [maint]   Better align MoveGroupInterface.plan() with C++ MoveGroup::plan() (#790 <https://github.com/ros-planning/moveit/issues/790>)
  * Contributors: Bence Magyar, Bjar Ne, Dave Coleman, Felix von Drigalski, Gerard Canal, Jafar Abdi, Masaki Murooka, Michael Ferguson, Michael Görner, Pavel-P, Raphael Druon, Robert Haschke, Ryodo Tanaka, Ryosuke Tajima, Sean Yen, v4hn

 -- Michael Görner <me@v4hn.de>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-commander (1.0.6-1focal) focal; urgency=high

  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [feature] Exposed parameter wait_for_servers and getPlannerId() API in MoveGroup's Python API (#2201 <https://github.com/ros-planning/moveit/issues/2201>)
  * Contributors: Gerard Canal, Robert Haschke, Michael Görner

 -- Michael Görner <me@v4hn.de>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-commander (1.0.5-1focal) focal; urgency=high

  * [fix]   Python 3 fix (#2030 <https://github.com/ros-planning/moveit/issues/2030>)
  * Contributors: Henning Kayser, Michael Görner, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-commander (1.0.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-commander (1.0.3-1focal) focal; urgency=high

  * [feature] Expose reference_point_position parameter in getJacobian() (#1595 <https://github.com/ros-planning/moveit/issues/1595>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [fix]     Fix service call to utilize original name space (#1959 <https://github.com/ros-planning/moveit/issues/1959>)
  * [maint]   Windows compatibility: fallback to using pyreadline (#1635 <https://github.com/ros-planning/moveit/issues/1635>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]     Fix planning scene interface not respecting custom namespace (#1815 <https://github.com/ros-planning/moveit/issues/1815>)
  * [maint]   moveit_commander: python3 import fixes (#1786 <https://github.com/ros-planning/moveit/issues/1786>)
  * [fix]     python planning_scene_interface: fix attaching objects (#1624 <https://github.com/ros-planning/moveit/issues/1624>)
  * [feature] Select time parametrization algorithm in retime_trajectory (#1508 <https://github.com/ros-planning/moveit/issues/1508>)
  * Contributors: Bjar Ne, Felix von Drigalski, Masaki Murooka, Pavel-P, Raphael Druon, Robert Haschke, Ryodo Tanaka, Sean Yen, v4hn

 -- Michael Görner <me@v4hn.de>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-moveit-commander (1.0.2-1focal) focal; urgency=high

  * [feature]     Add get_jacobian_matrix to moveit_commander (#1501 <https://github.com/ros-planning/moveit/issues/1501>)
  * [maintanance] Cleanup Python PlanningSceneInterface (#1405 <https://github.com/ros-planning/moveit/issues/1405>, #789 <https://github.com/ros-planning/moveit/issues/789>)
  * Contributors: Bence Magyar, Robert Haschke, Ryosuke Tajima

 -- Michael Görner <me@v4hn.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-moveit-commander (1.0.1-1focal) focal; urgency=high

  * [capability] python PlanningSceneInterface.add_cylinder() (#1372 <https://github.com/ros-planning/moveit/issues/1372>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-moveit-commander (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Keerthana Subramanian Manivannan, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 23 Feb 2019 23:00:00 -0000

ros-noetic-moveit-commander (0.10.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 Dec 2018 23:00:00 -0000

ros-noetic-moveit-commander (0.10.7-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Dec 2018 23:00:00 -0000

ros-noetic-moveit-commander (0.10.6-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-moveit-commander (0.10.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 31 Oct 2018 23:00:00 -0000

ros-noetic-moveit-commander (0.10.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-commander (0.10.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-commander (0.10.2-1focal) focal; urgency=high

  * [capability] Added plan_only flags to pick and place (#862 <https://github.com/ros-planning/moveit/issues/862>)
  * [maintenance] Python3 support (#1103 <https://github.com/ros-planning/moveit/issues/1103>, #1054 <https://github.com/ros-planning/moveit/issues/1054>)
  * Contributors: David Watkins, Michael Görner, d-walsh, mike lautman

 -- Michael Görner <me@v4hn.de>  Tue, 23 Oct 2018 22:00:00 -0000

ros-noetic-moveit-commander (0.10.1-1focal) focal; urgency=high

  * Get robot markers from state (#836 <https://github.com/ros-planning/moveit/issues/836>)
  * Add namespace capabilities to moveit_commander (#835 <https://github.com/ros-planning/moveit/issues/835>)
  * Constrained Cartesian planning using moveit commander (#805 <https://github.com/ros-planning/moveit/issues/805>)
  * Handle robot_description parameter in RobotCommander (#782 <https://github.com/ros-planning/moveit/issues/782>)
  * support TrajectoryConstraints in MoveGroupInterface + MoveitCommander (#793 <https://github.com/ros-planning/moveit/issues/793>)
  * API to get planner_id (#788 <https://github.com/ros-planning/moveit/issues/788>)
  * Contributors: Akiyoshi Ochiai, Bence Magyar, Bryce Willey, Dave Coleman, Michael Görner, Ryan Keating, Will Baker

 -- Michael Görner <me@v4hn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-moveit-commander (0.9.11-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 24 Dec 2017 23:00:00 -0000

ros-noetic-moveit-commander (0.9.10-1focal) focal; urgency=high

  * [fix] Bugs in moveit_commander/robot.py (#621 <https://github.com/ros-planning/moveit/issues/621>)
  * [fix] pyassimp regression workaround  (#581 <https://github.com/ros-planning/moveit/issues/581>)
  * Contributors: Kei Okada, Konstantin Selyunin

 -- Michael Görner <me@v4hn.de>  Fri, 08 Dec 2017 23:00:00 -0000

ros-noetic-moveit-commander (0.9.9-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 05 Aug 2017 22:00:00 -0000

ros-noetic-moveit-commander (0.9.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-moveit-commander (0.9.7-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 04 Jun 2017 22:00:00 -0000

ros-noetic-moveit-commander (0.9.6-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 11 Apr 2017 22:00:00 -0000

ros-noetic-moveit-commander (0.9.5-1focal) focal; urgency=high

  * [fix] Regression on Ubuntu Xenial; numpy.ndarray indices bug (from #86 <https://github.com/ros-planning/moveit/issues/86>) (#450 <https://github.com/ros-planning/moveit/issues/450>).
  * [doc][moveit_commander] added description for set_start_state (#447 <https://github.com/ros-planning/moveit/issues/447>)
  * Contributors: Adam Allevato, Ravi Prakash Joshi

 -- Michael Görner <me@v4hn.de>  Tue, 07 Mar 2017 23:00:00 -0000

ros-noetic-moveit-commander (0.9.4-1focal) focal; urgency=high

  * [fix] issue #373 <https://github.com/ros-planning/moveit/issues/373> for Kinetic (#377 <https://github.com/ros-planning/moveit/issues/377>) (#385 <https://github.com/ros-planning/moveit/issues/385>)
  * [fix] typo in moveit_commander (#376 <https://github.com/ros-planning/moveit/issues/376>)
  * Contributors: Dave Coleman, Shingo Kitagawa

 -- Michael Görner <me@v4hn.de>  Sun, 05 Feb 2017 23:00:00 -0000

ros-noetic-moveit-commander (0.9.3-1focal) focal; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Michael Görner <me@v4hn.de>  Tue, 15 Nov 2016 23:00:00 -0000

ros-noetic-moveit-commander (0.9.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 04 Nov 2016 23:00:00 -0000

ros-noetic-moveit-commander (0.6.1-1focal) focal; urgency=high

  * [feat] Add the possibility to choose description file #43 <https://github.com/ros-planning/moveit_commander/issues/43>
  * [improve] support pyassimp 3.2. Looks like they changed their import path. robot_description should not be hardcoded to allow changing the name of the description file. This is usefull when working with several robots that do not share the same description file. #45 <https://github.com/ros-planning/moveit_commander/issues/45>
  * [improve] add queue_size option in planning_scene_interface.py #41 <https://github.com/ros-planning/moveit_commander/issues/41>
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Kei Okada, Michael Görner, buschbapti

 -- Michael Görner <me@v4hn.de>  Wed, 27 Apr 2016 22:00:00 -0000

ros-noetic-moveit-commander (0.6.0-1focal) focal; urgency=high

  * Merge pull request #38  from 130s/doc/python_if
    [RobotCommander] Fill in in-code document where missing.
  * [moveit_commander/robot.py] Code cleaning; semi-PEP8.
  * Merge pull request #35  from MichaelStevens/set_num_planning_attempts
    adding set_num_planning_attempts to commander interface
  * Merge pull request #30 from ymollard/indigo-devel
    Planning scene improvements +  added python wrapper for MoveGroup.asyncExecute()
  * Added python wrapper for MoveGroup.asyncExecute()
  * Allow to clean all objects in a row
  * Allow to attash an existing object without recreating the whole CollisionObject
  * Merge pull request #24  from ymollard/hydro-devel
    Allowed user to change the scale of a mesh
  * Merge pull request #23  from HumaRobotics/hydro-devel
    Fixed arguments removal in python roscpp_initializer
  * Merge pull request #26  from corot/hydro-devel
    Add missing variants of place (PlaceLocation, place anywhere)
  * Added a way to change the size of a mesh when grasping
  * Allowed user to change the scale of a mesh
  * Fixed arguments removal in python roscpp_initializer
  * Contributors: Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Michael Stevens, Philippe Capdepuy, Yoan Mollard, corot

 -- Michael Görner <me@v4hn.de>  Fri, 29 Jan 2016 23:00:00 -0000

ros-noetic-moveit-commander (0.5.7-1focal) focal; urgency=high

  * Merge pull request #21 <https://github.com/ros-planning/moveit_commander/issues/21> from pirobot/hydro-devel
    Added set_support_surface_name function to move_group.py
  * Added set_support_surface_name function to move_group.py
  * Contributors: Patrick Goebel, Sachin Chitta

 -- Michael Görner <me@v4hn.de>  Fri, 04 Jul 2014 22:00:00 -0000

ros-noetic-moveit-commander (0.5.6-1focal) focal; urgency=high

  * Added the calls necessary to manage path constraints.
  * fix joint and link acces on __getattr__  when trying to acces a joint and its paramaters throught
  * Contributors: Acorn, Emili Boronat, Sachin Chitta

 -- Michael Görner <me@v4hn.de>  Sun, 23 Mar 2014 23:00:00 -0000

ros-noetic-moveit-commander (0.5.5-1focal) focal; urgency=high

  * adding get for active joints
  * Contributors: Acorn, Sachin Chitta

 -- Michael Görner <me@v4hn.de>  Wed, 26 Feb 2014 23:00:00 -0000

ros-noetic-moveit-commander (0.5.4-1focal) focal; urgency=high

  * Install moveit_commander_cmdline.py into package specific directory, not to global bin.
  * Fix typos in comments

 -- Michael Görner <me@v4hn.de>  Wed, 05 Feb 2014 23:00:00 -0000

ros-noetic-moveit-commander (0.5.3-1focal) focal; urgency=high

  * work around name bug
    move group interface python programs cannot be launched from launch files if
    the __name:= argument is used.  This works around the problem and allows using
    launch files to launch python moveit programs.
  * Added Travis Continuous Integration

 -- Michael Görner <me@v4hn.de>  Thu, 02 Jan 2014 23:00:00 -0000

ros-noetic-moveit-commander (0.5.2-1focal) focal; urgency=high

  * add support for setting joint targets from approximate IK
  * no longer depend on manipulation_msgs
  * expand functionality of MoveGroupInterface

 -- Michael Görner <me@v4hn.de>  Sun, 22 Sep 2013 22:00:00 -0000

ros-noetic-moveit-commander (0.5.1-1focal) focal; urgency=high

  * make pick() more general
  * use msg serialization
  * use new attach / detach operations
  * fix header for demo code
  * Duration class bug fixed in commander conversion.

 -- Michael Görner <me@v4hn.de>  Mon, 12 Aug 2013 22:00:00 -0000

ros-noetic-moveit-commander (0.5.0-1focal) focal; urgency=high

  * move msgs to common_msgs
  * fixed ground command

 -- Michael Görner <me@v4hn.de>  Wed, 17 Jul 2013 22:00:00 -0000


